Not your device? | Select another

Minimum system requirements for FLIR Secure cameras

The FLIR Secure App connects you to your compatible security system and camera, no matter where you are in the world. Stream live security video, receive motion-activated push notifications, and have easy access to your recordings, all from your compatible iOS or Android device.

Application Compatibility

FLIR Secure (iOS devices)

iOS 7.0 or higher

FLIR Secure (Android devices)

Android 4.0 or higher

Last Updated: 9/1/2016